using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ExtendedMemberShip;

public partial class DeleteUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            // Load the DropDownList with the values
            this.ddlUserNames.Items.Add("- Choose a UserName -");
            this.ddlUserNames.AppendDataBoundItems = true;
            this.ddlUserNames.DataSource = Membership.GetAllUsers();
            this.ddlUserNames.DataBind();
            this.ddlUserNames.DataTextField = "UserName";
            this.ddlUserNames.DataValueField = "UserName";
        }
    }
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        // get the selected username:
        string UserName = this.ddlUserNames.SelectedValue.ToString();

        // Delete 
        if (MemberShip.DeleteUser(UserName) == true)
        {
            this.lblMsg.Text = "User deleted successfully!";

            return;
        }

         this.lblMsg.Text = "User could not be deleted!";
    }
}
